FROM bitnami/git:latest
RUN sed -i 's/deb.debian.org/mirrors.tuna.tsinghua.edu.cn/g' /etc/apt/sources.list
RUN apt update
RUN apt install -y vim nano curl wget
RUN wget --no-check-certificate https://go.dev/dl/go1.20.4.linux-amd64.tar.gz
RUN tar -C /usr/local -xzf go1.20.4.linux-amd64.tar.gz
ENV PATH=$PATH:/usr/local/go/bin
RUN go version
RUN go env -w GOPROXY=https://goproxy.cn
ADD ./ /gitea_hat/
RUN cd /gitea_hat/ && ls -lh &&  sh build.sh

#/gitea_hat/gitea_hat admin user create --username root --password 123456 --email root@forge.com --admin
